#include "mbed.h"
#include "m3pi.h"

m3pi m3pi;

DigitalOut led1(p19);
DigitalOut led2(p18);
DigitalOut led3(p17);
DigitalOut led4(p16);
DigitalOut led5(p15);
DigitalOut led6(p14);
DigitalOut led7(p13);

int s1[]={0,1,0,0,0,1,0,1,1,1,1,1,0,1,0,0,0,0,0,1,0,0,0,0,0,0,1,1,1,0,0};
int s2[]={0,1,0,0,0,1,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,1,0};
int s3[]={0,1,0,0,0,1,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,1,0};
int s4[]={0,1,1,1,1,1,0,1,1,1,1,1,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,1,0};
int s5[]={0,1,0,0,0,1,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,1,0};
int s6[]={0,1,0,0,0,1,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,1,0};
int s7[]={0,1,0,0,0,1,0,1,1,1,1,1,0,1,1,1,1,1,0,1,1,1,1,1,0,0,1,1,1,0,0};

int main() {
    int i,j;
    m3pi.locate(0,1);
    m3pi.printf("M3PI LED");
    wait (2.0);
    m3pi.left(1);    // Turn left at full speed
    wait (0.1);        // wait half a second
    for (j=0; j<50; j++) {
        for (i=0; i<31; i++) {
            led1=s1[i];
            led2=s2[i];
            led3=s3[i];
            led4=s4[i];
            led5=s5[i];
            led6=s6[i];
            led7=s7[i];
            wait (0.005);
        }
        wait(0.25-0.005*31);
    }
    wait (0.5);        
    m3pi.stop();
}